$!-----------------------------------------------------------------------------
$! INSTALL.COM
$! Simple procedure to copy files according to environment.
$!
$! 20-APR-2000  MGD  add Apache
$! 01-AUG-1998  MGD  initial (for OSU)
$!-----------------------------------------------------------------------------
$ IF P1 .EQS. "OSU" THEN GOTO OSU
$ IF P1 .EQS. "APACHE" THEN GOTO APACHE
$ IF P1 .EQS. "OTHER" THEN GOTO OTHER
$ WRITE SYS$OUTPUT "USAGE: @INSTALL OSU|APACHE|OTHER"
$ EXIT
$!-----------------------------------------------------------------------------
$ OSU:
$! copy files from this directory to the scripting environment
$ COPY /PROT=W:RE *.EXE WWW_ROOT:[BIN]
$ COPY /PROT=W:RE CALENDAR.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE CONAN.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE HYPERREADER.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE HYPERSHELF.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE HYPERSPI.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE QUERY.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE EXTRACT.COM WWW_ROOT:[BIN]
$ EXIT
$!-----------------------------------------------------------------------------
$ APACHE:
$! copy files from this directory to the scripting environment
$ COPY /PROT=W:RE *.EXE APACHE_ROOT:[CGI-BIN]
$ COPY /PROT=W:RE CALENDAR.COM APACHE_ROOT:[CGI-BIN]
$ COPY /PROT=W:RE CONAN.COM APACHE_ROOT:[CGI-BIN]
$ COPY /PROT=W:RE HYPERREADER.COM APACHE_ROOT:[CGI-BIN]
$ COPY /PROT=W:RE HYPERSHELF.COM APACHE_ROOT:[CGI-BIN]
$ COPY /PROT=W:RE HYPERSPI.COM APACHE_ROOT:[CGI-BIN]
$ COPY /PROT=W:RE QUERY.COM APACHE_ROOT:[CGI-BIN]
$ COPY /PROT=W:RE EXTRACT.COM APACHE_ROOT:[CGI-BIN]
$ EXIT
$!-----------------------------------------------------------------------------
$ OTHER:
$ IF P2 .NES. "" THEN GOTO OTHER_DOIT
$ WRITE SYS$OUTPUT "USAGE: @INSTALL OTHER [cgi-bin-dir]"
$ EXIT
$ OTHER_DOIT:
$ COPY /PROT=W:RE CALENDAR_AXP.EXE    'P2'CALENDAR.EXE
$ COPY /PROT=W:RE CONAN_AXP.EXE       'P2'CONAN.EXE
$ COPY /PROT=W:RE HYPERREADER_AXP.EXE 'P2'HYPERREADER.EXE
$ COPY /PROT=W:RE HYPERSHELF_AXP.EXE  'P2'HYPERSHELF.EXE
$ COPY /PROT=W:RE HYPERSPI_AXP.EXE    'P2'HYPERSPI.EXE
$ COPY /PROT=W:RE QUERY_AXP.EXE       'P2'QUERY.EXE
$ COPY /PROT=W:RE EXTRACT_AXP.EXE     'P2'EXTRACT.EXE
$ EXIT
$!-----------------------------------------------------------------------------
